### Method

# GLib Relation select

deprecated: 2.26

#### Declaration

    GTuples*
    g_relation_select (
      GRelation* relation,
      gconstpointer key,
      gint field
    )

#### Description

Returns all of the tuples which have the given key in the given field. Use `g_tuples_index()` to access the returned records. The returned records should be freed with g_tuples_destroy().

Deprecated since: 2.26

Rarely used API.

This method is not directly available to language bindings.

#### Parameters

`key`

  Type: `gconstpointer`

  The value to compare with.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`field`

  Type: `gint`

  The field of each record to match.

#### Return value

Type: `GTuples`

The records (tuples) that matched.

The data is owned by the instance.